## openjdk-17-crac 17.0.16+8

=== src/jdk.hotspot.agent/test/libproc/Makefile ===
#
# Copyright (c) 2003, 2024, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#
#

all:
	javac LibprocTest.java
	javac -classpath ../../build/classes LibprocClient.java

clean:
	rm -rf *.class

## openjdk-17-crac 17.0.13+0

=== debian/changelog ===
openjdk-17-crac (17.0.13+0-0ubuntu2) oracular; urgency=medium

  * d/t/problems.csv: skip runtime/NMT/* tests (LP: #2078952)
  * d/rules: modify update-alternatives priorities

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 04 Sep 2024 20:57:33 +0530

openjdk-17-crac (17.0.13+0-0ubuntu1) oracular; urgency=medium

  * Initial release (LP: #2073609).

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 10 Jul 2024 10:36:59 +0530

=== debian/control ===
Source: openjdk-17-crac
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pushkar Kulkarni <pushkar.kulkarni@canonical.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, pkgconf, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
  time, strip-nondeterminism, debugedit (>= 4.16),
  jtreg7 <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, xvfb  <!nocheck>, libasmtools-java <!nocheck>,
  autoconf, automake, ant, ant-optional,
  g++-14 <!cross>,
  openjdk-17-jdk-headless:native | openjdk-16-jdk-headless:native,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
  libffi-dev, libffi-dev:native,
  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
  libnss3-dev (>= 2:3.17.1),
  openjdk-17-jdk-headless <cross>,
  crac-criu,
Build-Depends-Indep: graphviz, pandoc,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://openjdk.org/projects/crac/
Vcs-Browser: https://github.com/canonical/openjdk-17-crac/tree/crac
Vcs-Git: https://github.com/canonical/openjdk-17-crac.git -b crac


Package: openjdk-17-crac-jdk-headless
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-17-crac-demo, openjdk-17-crac-source
Description: OpenJDK Development Kit (JDK) (headless) with CRaC support
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language. This JDK
 is further specialized to support the Coordinated Restore at Checkpoint
 capability.

Package: openjdk-17-crac-jre-headless
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}, crac-criu
Recommends: ${dlopenhl:Recommends},
  ${fontmanager:Recommends}, ${jsound:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Description: OpenJDK Java runtime with CRaC, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}. This package also provides the "Coordinated Restore
 at Checkpoint" capability.

Package: openjdk-17-crac-jdk
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre (= ${binary:Version}),
  openjdk-17-crac-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-17-crac-demo, openjdk-17-crac-source, visualvm
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 This package also provides the "Coordinated Restore at Checkpoint"
 capability.

Package: openjdk-17-crac-jre
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}),
  ${dlopenjre:Depends}, ${fontmanager:Depends}, ${jsound:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}. This package also provides the "Coordinated
 Restore at Checkpoint" capability.

Package: openjdk-17-crac-demo
Architecture: amd64
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-17-crac-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-17-crac-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends},
  libjs-jquery,
  libjs-jquery-ui,
  libjs-jquery-ui-theme-base,
Suggests: openjdk-17-crac-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-17-crac-dbg
Architecture: amd64
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-17-crac-jre (= ${binary:Version})
Suggests: openjdk-17-crac-jdk (= ${binary:Version})
Conflicts: ${dbg:Conflicts}
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-17-crac-jre-zero
Architecture: amd64
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM. This packages also provides
 the "Coordinated Restore at Checkpoint" capability.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/buildflags.mk

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
PKGYEAR := $(shell echo $(call vafilt,$(CHANGELOG_VARS),Timestamp) | date --utc +%Y)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

ifneq (,$(filter $(distrel),precise))
  OBJCOPY := objcopy
  STRIP := strip
else
  OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
  STRIP := $(DEB_HOST_GNU_TYPE)-strip
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el riscv64 s390x
jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc ppc64 sh4 x32
jtreg_archs	+= armel loong64 mipsel mips64el
jtreg_archs	+= riscv64

# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
#bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
#bootcycle_build =
zbootcycle_build =
zbootcycle_build = yes
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif
ifneq (,$(filter nobootcycle, $(DEB_BUILD_OPTIONS)))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

is_upstream_release =
is_upstream_release = yes

srcdir		= .
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk-crac
basename	= openjdk-$(shortver)-crac
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1713,1712)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1706,1705)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.17.0
shortver	= 17
v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')

ifeq (yes,$(is_upstream_release))
  v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
  v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
else
  v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
  v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
else
  sdkimg	= images/jdk
  build_target	= images test-image
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

jtreg_pkg = jtreg7
testng_pkg= libtestng7-java

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel ia64 loong64 mipsel mips64el powerpc x32))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
ifeq ($(distribution)-$(distrel),Ubuntu-riscv64)
  with_check = yes
endif

# no jtreg backport yet
ifneq (,$(filter $(distrel), buster bullseye precise trusty xenial groovy hirsute impish))
  with_check = disabled for $(distrel), no $(jtreg_pkg)
endif

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(distrel), precise trusty))
  with_docs =
endif
#with_check = disabled for this upload

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 loong64=loong64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32

altzero_archs = $(hotspot_archs)
ifneq (,$(filter $(distrel),trusty))
  altzero_archs := $(filter-out arm64, $(altzero_archs))
endif
# FIXME: https://launchpad.net/ubuntu/+source/openjdk-lts/11.0.5+6-1ubuntu1
# ftbfs on armhf, also in OpenJDK 15, now fixed in 16?
#altzero_archs := $(filter-out armhf, $(altzero_archs))

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-16-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-17-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

ifneq (,$(filter $(distrel),saucy))
  export CC = gcc-4.8
  export CXX = g++-4.8
  bd_gcc = g++-4.8,
else ifneq (,$(filter $(distrel),utopic vivid jessie))
  export CC = gcc-4.9
  export CXX = g++-4.9
  bd_gcc = g++-4.9,
else ifneq (,$(filter $(distrel),wily))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
    export CC = $(DEB_HOST_GNU_TYPE)-gcc-5
    export CXX = $(DEB_HOST_GNU_TYPE)-g++-5
    # FIXME: altzero seems to build with GCC 5 on i386, amd64, ppc64el ...
    ifneq (,$(filter $(DEB_HOST_ARCH), arm64))

## openjdk-17-crac 17.0.13+11

=== debian/changelog ===
openjdk-17-crac (17.0.13+11-0ubuntu1) plucky; urgency=medium

  * New openjdk-17-crac release based on jdk-17.0.13+11
  * d/copyright: merge copyright changes from debian/openjdk-17
  * d/{control, test/control, rules}: merge latest changes
    from debian/openjdk-17 related to dtrace and jtreg version
  * d/patches/*: purge unnecessary patches
  * d/tests/problems.csv: update known problems list
  * d/upstream/signing-key.asc - update code verification key

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 21 Nov 2024 01:35:03 +0530

## openjdk-17-crac 17.0.14+7

=== debian/changelog ===
openjdk-17-crac (17.0.14+7-0ubuntu1) plucky; urgency=medium

  * New openjdk-17-crac release based on jdk-17.0.14+7.
  * d/copyright, d/rules, d/t/problems.csv: merged latest
    content from the openjdk-17 package.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 05 Feb 2025 19:19:27 +0530

=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,6 @@
   is_default = yes
 endif
 
-is_upstream_release =
 is_upstream_release = yes
 
 srcdir		= .

## openjdk-17-crac 17.0.15+6

=== debian/changelog ===
openjdk-17-crac (17.0.15+6-0ubuntu1~25.04) plucky-security; urgency=medium

  * New release based on jdk-17.0.15+6. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-April/043307.html

    - CVEs:
      + CVE-2025-21587
      + CVE-2025-30691
      + CVE-2025-30698

  * d/u/signing-key.asc: update signing key
  * d/t/jtreg-autopkgtest{.sh,.in}: Honour DEB_BUILD_OPTIONS=parallel=N
    while running jtreg tests
  * d/t/problems.csv: merge with exclusions from openjdk-17
  * d/patches: remove log-generated-classes-test.patch
  * Upload to Ubuntu 25.04

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Tue, 29 Apr 2025 01:33:42 +0530

## openjdk-17-crac 17.0.16%2B8

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
   m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkgconf, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg7 <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, xvfb  <!nocheck>, libasmtools-java <!nocheck>,
+  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, xvfb  <!nocheck>, libasmtools-java <!nocheck>,
   autoconf, automake, ant, ant-optional,
   g++-14 <!cross>,
   openjdk-17-jdk-headless:native | openjdk-16-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev, libffi-dev:native,
-  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
+  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!powerpc !ppc64 !ppc64el !sh4 !s390x],
   libnss3-dev (>= 2:3.17.1),
   openjdk-17-jdk-headless <cross>,
   crac-criu,

## openjdk-17-crac 17.0.16+8

=== debian/changelog ===
openjdk-17-crac (17.0.16+8-0ubuntu1) questing; urgency=medium

  * New release based on OpenJDK 17.0.16 release, build 8.
    - Addresses CVE-2025-50059, CVE-2025-30749, CVE-2025-50106,
      CVE-2025-30754. See
      https://openjdk.org/groups/vulnerability/advisories/2025-07-15
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-July/045614.html
  * d/copyright: regenerate.
  * d/copyright-generator/copyright-gen.py: bump copyright year.
  * d/patches: refresh patches

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 21 Jul 2025 20:16:53 +0530

openjdk-17-crac (17.0.15+6-0ubuntu1) questing; urgency=medium

  * New release based on jdk-17.0.15+6. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-April/043307.html

    - CVEs:
      + CVE-2025-21587
      + CVE-2025-30691
      + CVE-2025-30698

  * d/u/signing-key.asc: update signing key
  * d/t/jtreg-autopkgtest{.sh,.in}: Honour DEB_BUILD_OPTIONS=parallel=N
    while running jtreg tests
  * d/t/problems.csv: merge with exclusions from openjdk-17
  * d/patches: remove log-generated-classes-test.patch

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Tue, 29 Apr 2025 01:33:42 +0530

=== debian/watch ===
version=4
opts="pgpmode=default,\
pgpsigurlmangle=s/archive\/refs\/tags/releases\/download/;s/([^\/]+)\.tar\.gz/$1\/@PACKAGE@-$1\.tar\.gz.asc/,\
uversionmangle=s/-rc/~rc/,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
repack,\
compression=xz" \
    https://github.com/canonical/openjdk-17-crac/tags \
    (?:.*?/)?jdk-(17[\+\.\d]*)\.tar\.gz

opts=\
component=googletest,\
repack,\
compression=xz \
    https://github.com/google/googletest/tags \
    (?:.*?/)?v(1.14.0)\.tar\.gz 1.14.0

## openjdk-17-crac 17.0.17+10

=== debian/changelog ===
openjdk-17-crac (17.0.17+10-0ubuntu1~25.04) plucky-security; urgency=medium

  * Upload to Ubuntu 25.04.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 24 Nov 2025 12:45:16 +0530

openjdk-17-crac (17.0.17+10-0ubuntu1) resolute; urgency=medium

  * New release based on OpenJDK 17.0.17 release, build 10.
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.
  * d/control: enable building with gcc-15.
  * d/t/jtreg-autopkgtest.*: Force utf-8 encoding.
  * d/rules: sync with d/rules from openjdk-17.
  * d/control*,watch.in, rules: support to regenerate d/control.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 17 Nov 2025 16:55:52 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Pushkar Kulkarni <pushkar.kulkarni@canonical.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, pkgconf, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
+  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, xvfb  <!nocheck>, libasmtools-java <!nocheck>,
   autoconf, automake, ant, ant-optional,
@@ -23,7 +23,6 @@
 Homepage: https://openjdk.org/projects/crac/
 Vcs-Browser: https://github.com/canonical/openjdk-17-crac/tree/crac
 Vcs-Git: https://github.com/canonical/openjdk-17-crac.git -b crac
-
 
 Package: openjdk-17-crac-jdk-headless
 Architecture: amd64

=== debian/rules ===
--- 
+++ 
@@ -164,8 +164,14 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel ia64 loong64 mipsel mips64el powerpc x32))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
-ifeq ($(distribution)-$(distrel),Ubuntu-riscv64)
-  with_check = yes
+ifeq ($(distribution)-$(DEB_HOST_ARCH),Ubuntu-riscv64)
+  ifneq (,$(filter $(distrel),focal))
+    # disable jtreg check for riscv64 on focal, LP builders
+    # timeout during tests
+    with_check = disabled jtreg check for riscv64 on focal
+  else
+    with_check = yes
+  endif
 endif
 
 # no jtreg backport yet
@@ -232,7 +238,3 @@
   bd_gcc = g++-4.9,
 else ifneq (,$(filter $(distrel),wily))
   ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
-    export CC = $(DEB_HOST_GNU_TYPE)-gcc-5
-    export CXX = $(DEB_HOST_GNU_TYPE)-g++-5
-    # FIXME: altzero seems to build with GCC 5 on i386, amd64, ppc64el ...
-    ifneq (,$(filter $(DEB_HOST_ARCH), arm64))

## openjdk-17-crac 17.0.18+8

=== debian/changelog ===
openjdk-17-crac (17.0.18+8-0ubuntu1) resolute; urgency=medium

  * New release based on OpenJDK 17.0.17 release, build 8.
    - CVEs:
      + CVE-2026-21945: 8368032: Enhance Certificate Checking.
      + CVE-2026-21932: 8359501: Enhance Handling of URIs.
      + CVE-2026-21933: 8362632: Improve HttpServer Request handling.
      + CVE-2026-21925: 8341496: Improve JMX connections.

  [ Pushkar Kulkarni ]
  * d/t/jtreg-autopkgtest.*: use locale name "C.UTF-8" on bionic
    and focal.

  [ Vladimir Petko ]
  * d/p/jdk-8369450-proposed.patch: Drop patch applied upstream.
  * Update override comments for unstripped-binary-or-object. We need to
    keep symbols for Native Memory Tracking to work.
  * d/{JB-doc.overrides.in, JB-jre-headless.overrides.in}: Add override
    for old FSF copyright address.
  * d/s/lintian-overrides: Override false positive debian-rules-calls-
    nproc. The utility is used to log the number of processors.
  * d/control: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Jan 2026 18:45:13 +1300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, xvfb  <!nocheck>, libasmtools-java <!nocheck>,
   autoconf, automake, ant, ant-optional,
-  g++-14 <!cross>,
+  g++-15 <!cross>,
   openjdk-17-jdk-headless:native | openjdk-16-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev, libffi-dev:native,
